Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.time
Class BaseDuration

    java.lang.Object
      groovy.time.BaseDuration

Direct Known Subclasses:
  DatumDependentDuration, Duration

    public abstract class BaseDuration

extends Object

Base class for date and time durations.

Author:
  John Wilson tug@wilson.co.uk
See Also:
  `Duration`

Nested Class Summary
`static class` | `BaseDuration.From`

Field Summary
`protected int` | `days`
`protected int` | `hours`
`protected int` | `millis`
`protected int` | `minutes`
`protected int` | `months`
`protected int` | `seconds`
`protected int` | `years`

Constructor Summary
`protected` | `BaseDuration(int days, int hours, int minutes, int seconds, int millis)`
`protected` | `BaseDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`abstract Date` | `getAgo()`
`int` | `getDays()`
`abstract BaseDuration.From` | `getFrom()`
`int` | `getHours()`
`int` | `getMillis()`
`int` | `getMinutes()`
`int` | `getMonths()`
`int` | `getSeconds()`
`int` | `getYears()`
`Date` | `plus(Date date)`
`abstract long` | `toMilliseconds()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### years

    protected final int years

### months

    protected final int months

### days

    protected final int days

### hours

    protected final int hours

### minutes

    protected final int minutes

### seconds

    protected final int seconds

### millis

    protected final int millis

Constructor Detail

### BaseDuration

    protected BaseDuration(int years,
                           int months,
                           int days,
                           int hours,
                           int minutes,
                           int seconds,
                           int millis)

### BaseDuration

    protected BaseDuration(int days,
                           int hours,
                           int minutes,
                           int seconds,
                           int millis)

Method Detail

### getYears

    public int getYears()

### getMonths

    public int getMonths()

### getDays

    public int getDays()

### getHours

    public int getHours()

### getMinutes

    public int getMinutes()

### getSeconds

    public int getSeconds()

### getMillis

    public int getMillis()

### plus

    public Date plus(Date date)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMilliseconds

    public abstract long toMilliseconds()

### getAgo

    public abstract Date getAgo()

### getFrom

    public abstract BaseDuration.From getFrom()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD